Package org.acplt.oncrpc.apps.jrpcgen

# Enum Class JrpcgenJavaFile.MethodSignatureStage

java.lang.Object
java.lang.Enum<JrpcgenJavaFile.MethodSignatureStage>
org.acplt.oncrpc.apps.jrpcgen.JrpcgenJavaFile.MethodSignatureStage

All Implemented Interfaces:
  `Serializable`, `Comparable<JrpcgenJavaFile.MethodSignatureStage>`, `Constable`

Enclosing class:
  `JrpcgenJavaFile`

public static enum JrpcgenJavaFile.MethodSignatureStage extends Enum<JrpcgenJavaFile.MethodSignatureStage>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSTRACT_WRITTEN`
`ACCESS_WRITTEN`
`EXCEPTION_WRITTEN`
`NAME_WRITTEN`
`PARAM_WRITTEN`
`RESULTTYPE_WRITTEN`
`SIGNATURE_CLOSED`
`SIGNATURE_OPEN`
`STATIC_WRITTEN`

## Method Summary

Modifier and Type
Method
Description
`static JrpcgenJavaFile.MethodSignatureStage`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JrpcgenJavaFile.MethodSignatureStage[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SIGNATURE_OPEN

public static final JrpcgenJavaFile.MethodSignatureStage SIGNATURE_OPEN

### ACCESS_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage ACCESS_WRITTEN

### STATIC_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage STATIC_WRITTEN

### ABSTRACT_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage ABSTRACT_WRITTEN

### RESULTTYPE_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage RESULTTYPE_WRITTEN

### NAME_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage NAME_WRITTEN

### PARAM_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage PARAM_WRITTEN

### EXCEPTION_WRITTEN

public static final JrpcgenJavaFile.MethodSignatureStage EXCEPTION_WRITTEN

### SIGNATURE_CLOSED

public static final JrpcgenJavaFile.MethodSignatureStage SIGNATURE_CLOSED

## Method Details

### values

public static JrpcgenJavaFile.MethodSignatureStage[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JrpcgenJavaFile.MethodSignatureStage valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null